%define name libschemaTools
%define version 1.2.0
%define release 1

Summary: schemaTools a cool library
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Group: Applications/System
License: LGPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Vendor: http://tools.netsa.cert.org/
Provides: libschemaTools
Provides: libschemaTools.so
Requires: glib2 >= 2.12.0
BuildRequires: glib2-devel >= 2.4.7
Requires: libfixbuf >= 1.4.0
BuildRequires: libfixbuf-devel >= 1.4.0
BuildRequires: pkgconfig >= 0.8

%description
schemaTools is a really cool library that does really cool stuff.

%package devel
Summary: Static libraries and C header files for libschemaTools
Group: Application/Systems
Provides: libschemaTools-devel
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.8

%description devel
Static libraries and C header files for libschemaTools.

%prep
%setup -q -n %{name}-%{version}

%build
./configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Sep 30 2015 Lawrence Rogers <lrr@cert.org> 1.2-1
* Release 1.2-1
	Initial public release
